## pycrc 0.10.0

=== doc/Makefile ===
HTML_PARAMS	= style-html.xsl
MAN_PARAMS	= style-man.xsl

source		= pycrc.xml
targets		= $(source:.xml=.html) $(source:.xml=.1)

all: $(targets)

.PHONY: clean
clean:
	$(RM) $(targets)

.PHONY: check
check:
	xmllint --valid --noout $(source)

%.html: %.xml $(HTML_PARAMS)
	saxon-xslt -o $@ $^

%.1: %.xml $(MAN_PARAMS)
	saxon-xslt -o $@ $^

%.txt: %.html
	links -dump -no-numbering -no-references $< > $@

=== debian/changelog ===
pycrc (0.10.0-3) unstable; urgency=medium

  * Delete src/__init__.py, it isn’t useful and ends up installed as
    /usr/lib/python3/dist-packages/__init__.py which isn’t appropriate.
    Closes: #1071060.
  * Standards-Version 4.7.0, no change required.
  * Fix the upstream URL in debian/copyright.

 -- Stephen Kitt <skitt@debian.org>  Mon, 13 May 2024 22:00:16 +0200

pycrc (0.10.0-2) unstable; urgency=medium

  [ Benjamin Drung ]
  * Team upload
  * doc: Use local docbook.dtd to avoid needing Internet access during build

  [ Stephen Kitt ]
  * Add VCS entries to debian/control.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 31 Aug 2023 11:46:35 +0200

pycrc (0.10.0-1) unstable; urgency=medium

  * Sourceful upload to unstable after NEW.

 -- Stephen Kitt <skitt@debian.org>  Fri, 16 Jun 2023 07:45:54 +0200

pycrc (0.10.0-1~exp1) experimental; urgency=medium

  * Initial release. Closes: #1037228.

 -- Stephen Kitt <skitt@debian.org>  Thu, 08 Jun 2023 13:46:59 +0200

=== debian/control ===
Source: pycrc
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Section: misc
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3,
 python3-setuptools (>= 61.0),
Build-Depends-Indep:
 default-jre,
 docbook-xsl-ns,
 docbook5-xml,
 libsaxon-java,
 python3-pytest,
Standards-Version: 4.7.0
Homepage: https://pycrc.org
Vcs-Git: https://salsa.debian.org/python-team/packages/pycrc.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pycrc
Rules-Requires-Root: no

Package: pycrc
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: CRC C source code generator
 pycrc is a Cyclic Redundancy Check (CRC) C source code generator.
 .
 It supports different implementations, with various speed-space
 compromises. The CRC parameters can be freely chosen, and pycrc
 includes a number of well-known CRC models (CRC-16, CRC-32 etc.).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build -Ddoc --buildsystem=makefile
	dh_auto_build
